# Generated by Django 3.2 on 2023-10-22 04:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0028_delete_datakependudukan'),
    ]

    operations = [
        migrations.CreateModel(
            name='datakependudukan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jml_penduduk_pria', models.IntegerField(null=True)),
                ('jml_penduduk_wanita', models.IntegerField(null=True)),
                ('jml_kriten', models.IntegerField(null=True)),
                ('jml_katholik', models.IntegerField(null=True)),
                ('jml_islam', models.IntegerField(null=True)),
                ('jml_hindu', models.IntegerField(null=True)),
                ('jml_budha', models.IntegerField(null=True)),
                ('jml_OAP', models.IntegerField(null=True)),
                ('jml_nonOAP', models.IntegerField(null=True)),
                ('jml_KK', models.IntegerField(null=True)),
                ('jml_KTP', models.IntegerField(null=True)),
                ('jml_Akta', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
